Query records
GET /api/v1/entities/query: request fields and declared response contract.
GET/api/v1/entities/query
| Permission | settings.read |
|---|---|
| Workspace scope | required |
| Scope target | entity-kind |
Parameters
Path parameters: none.
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| entityKind | string | required | non-null | — |
| cursor | string | optional | non-null | — |
| limit | integer | optional | non-null | — |
| search | string | optional | non-null | — |
| where | reference | optional | non-null | — |
| sort | object | optional | non-null | — |
| sort.field | string | required | non-null | — |
| sort.direction | "asc" | "desc" | optional | non-null | — |
| fields | array | optional | non-null | — |
| groupField | string | optional | non-null | — |
| renderer | "table" | "dataGrid" | "kanban" | optional | non-null | — |
| expectedDescriptorVersion | string | optional | non-null | — |
Response
200
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| data | object | required | non-null | — |
| data.entityKind | string | required | non-null | — |
| data.rows | array | required | non-null | — |
| data.total | number | required | non-null | — |
| data.cursor | string | optional | non-null | — |
| data.maskedFields | array | required | non-null | — |
| data.groups | object | optional | non-null | — |
Declared failures
| ACCESS_DENIED | 403 — not retryable |
|---|---|
| CORE_ERROR | 500 — not retryable |
| GOVERNANCE_DENIED | 403 — not retryable |
| VALIDATION_ERROR | 400 — not retryable |
| VALIDATION_INPUT_ERROR | 400 — not retryable |
Readback
This method returns the current state it read.
- entities.query
Request example
Schematic only. Replace placeholders with real values and include all required nested fields.
GET /api/v1/entities/query?entityKind=<entityKind> HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>